Welcome, Guest. Please login or register.
Did you miss your activation email?
Friday 16 November 2018, 10:52:32 pm

Login with username, password and session length

Download the latest community FREE version  HERE
13842 Posts in 4211 Topics by 5929 Members
Latest Member: BernyardQ
Search:     Advanced search
+  EFW Support
|-+  Development
| |-+  Contribute Your Customisations & Modifications
| | |-+  Endian firewall customization
0 Members and 1 Guest are viewing this topic. « previous next »
Poll
Question: How to rebuild endian firewall from source package.please give steps to compile & create a endian firewall from source
endian firewall from source - 7 (63.6%)
endian firewall source compilation - 4 (36.4%)
Total Voters: 11

Pages: [1] Go Down Print
Author Topic: Endian firewall customization  (Read 23731 times)
poorani
Jr. Member
*
Offline Offline

Posts: 2


« on: Monday 25 May 2009, 02:18:22 pm »

How to rebuild endian firewall from source package?.

please give steps to compile & create a endian firewall from source?
Logged
StephanSch
Full Member
***
Offline Offline

Gender: Male
Posts: 57


« Reply #1 on: Tuesday 26 May 2009, 04:16:33 am »

I'm interested in that, too.
A good howto would be nice.
Logged
den64
Full Member
***
Offline Offline

Posts: 28


« Reply #2 on: Monday 12 October 2009, 07:35:37 am »

i agree , seems there's a lack of docs when it comes to the above subject
Logged
Mondo1287
Jr. Member
*
Offline Offline

Posts: 3


« Reply #3 on: Saturday 14 November 2009, 08:17:45 am »

See this post on how to build kernel modules. 

http://efwsupport.com/index.php?topic=610.msg1697#msg1697

Unfortunately, there are no devel rpms for 2.3, so you have to run 2.2 for now.
Logged
mvrk
Full Member
***
Offline Offline

Posts: 26


« Reply #4 on: Thursday 26 November 2009, 02:57:25 am »

Does anyone knows when will be available devel rpms for 2.3?
Logged
pbruna
Jr. Member
*
Offline Offline

Posts: 1


« Reply #5 on: Sunday 29 November 2009, 02:42:35 am »

Does anyone knows when will be available devel rpms for 2.3?

Hi, the devel packages are available. You should register yourself following the community upgrade guide and then select the "devel" branch when you are upgrading.
Then you can install all the devel packages, as gcc, make, etc using smart.
Logged
mrkroket
Hero Member
*****
Offline Offline

Posts: 495


« Reply #6 on: Tuesday 01 December 2009, 03:43:40 am »

Devel works for 2.3???     Huh Huh
I doubt it, I review all the updates.endian.org/devel repository, and all files are dated as 25-May-2009, that is way before EFW 2.3 comes out.

I did a fresh install and use the efw-upgrade, but nothing is installed:

root@firewallVirtual:/usr/local/bin # efw-upgrade
Loading cache...
Updating cache...               ######################################## [100%]

Fetching information for 'efw-community'...
-> http://*:*@updates.endian.org/devel/repodata/repomd.xml
repomd.xml                      ######################################## [ 33%]

Updating cache...               ######################################## [100%]

Channels have no new packages.
Loading cache...
Updating cache...               ######################################## [100%]

Computing transaction...
No interesting upgrades available.
Logged
POWerSUrgeSW3
Jr. Member
*
Offline Offline

Gender: Male
Posts: 3


Mess with the best, die like the rest!


« Reply #7 on: Tuesday 01 December 2009, 04:50:02 am »

Yeah I've gone the same route. I manually had to install the newest version of 2.3 and then manually rebuilt all of my customized rules.
Logged

~Max
WanWizard
Jr. Member
*
Offline Offline

Posts: 3


« Reply #8 on: Tuesday 01 December 2009, 09:40:53 am »

Devel works for 2.3???     Huh Huh
I doubt it, I review all the updates.endian.org/devel repository, and all files are dated as 25-May-2009, that is way before EFW 2.3 comes out.
Yes, it does. If you check the /stable repository, you will see that it is dated 21-May-2009. Looks like they took their time to release 2.3...

Switch to the devel repo (efw-update -s), after that you can use 'smart install <package>' to install devel packages...
Logged
mrkroket
Hero Member
*****
Offline Offline

Posts: 495


« Reply #9 on: Wednesday 02 December 2009, 05:21:51 am »

These are outdated rpm's, aimed to version 2.2. You can install it because there is slight kernel changes between 2.2 and 2.3.

In fact you can also install the 2.2RC devel package on EFW 2.3. You just need to use the rpm parameter --nodeps on some rpm's that have a wrong dependency version.
I did it and installed fine, and you can compile programs. The problem is that there isn't a devel kernel source for 2.3.
Endian 2.3 uses the kernel 2.6.22.19-72.e18. Endian 2.2RC uses 2.6.22.19-72.endian15. They are very similar, but not exact. Maybe some programs have problem about that. I wasn't able to install VMWare Tools or Open-VM-Tools (what a knightmare!), they compiled but it doesnt work fine, they weren't detected.
Logged
tiagoaviz
Jr. Member
*
Offline Offline

Posts: 3


« Reply #10 on: Friday 26 February 2010, 10:40:35 am »

It was only able to install VMware tools on Endian Enterprise 2.3, it has a prebuilt package..
Logged
q12345
Jr. Member
*
Offline Offline

Posts: 4


« Reply #11 on: Thursday 31 October 2013, 06:04:14 pm »

Hello
Thanks for your amazing new features.
But The source files that you upload on SF doesn't contain all new features. (ie some gui py isn't the source of its compiled pyc. they are different).
Can you upload new full source for Endian 3.0 - Beta1 please?
Logged
Pages: [1] Go Up Print 
« previous next »
Jump to:  

Page created in 0.216 seconds with 20 queries.
Powered by SMF 1.1 RC2 | SMF © 2001-2005, Lewis Media Design by 7dana.com